অ্যান্ড্রয়েড নিরাপত্তা বুলেটিন—অক্টোবর ২০২১

সেভ করা পৃষ্ঠা গুছিয়ে রাখতে 'সংগ্রহ' ব্যবহার করুন আপনার পছন্দ অনুযায়ী কন্টেন্ট সেভ করুন ও সঠিক বিভাগে রাখুন।

4 অক্টোবর, 2021 প্রকাশিত | 29 নভেম্বর, 2021 আপডেট করা হয়েছে

অ্যান্ড্রয়েড সিকিউরিটি বুলেটিনে অ্যান্ড্রয়েড ডিভাইসগুলিকে প্রভাবিত করে এমন নিরাপত্তা দুর্বলতার বিবরণ রয়েছে৷ 2021-10-05 বা তার পরের নিরাপত্তা প্যাচ স্তরগুলি এই সমস্ত সমস্যার সমাধান করে। কিভাবে একটি ডিভাইসের নিরাপত্তা প্যাচ স্তর চেক করতে হয় তা জানতে, আপনার Android সংস্করণ দেখুন এবং আপডেট করুন

অ্যান্ড্রয়েড অংশীদারদের প্রকাশনার অন্তত এক মাস আগে সমস্ত সমস্যা সম্পর্কে অবহিত করা হয়। এই সমস্যাগুলির জন্য সোর্স কোড প্যাচগুলি অ্যান্ড্রয়েড ওপেন সোর্স প্রজেক্ট (AOSP) সংগ্রহস্থলে প্রকাশ করা হয়েছে এবং এই বুলেটিন থেকে লিঙ্ক করা হয়েছে৷ এই বুলেটিনে AOSP-এর বাইরের প্যাচগুলির লিঙ্কও রয়েছে৷

এই সমস্যাগুলির মধ্যে সবচেয়ে গুরুতর হল সিস্টেম উপাদানের একটি গুরুতর নিরাপত্তা দুর্বলতা যা একটি বিশেষভাবে তৈরি করা ট্রান্সমিশন ব্যবহার করে একটি বিশেষভাবে তৈরি করা ট্রান্সমিশন ব্যবহার করে একটি বিশেষ সুবিধাপ্রাপ্ত প্রক্রিয়ার প্রেক্ষাপটে নির্বিচারে কোড চালানোর জন্য সক্রিয় করতে পারে। প্ল্যাটফর্ম এবং পরিষেবার প্রশমনগুলি উন্নয়নের উদ্দেশ্যে বন্ধ করা হয়েছে বা সফলভাবে বাইপাস করা হয়েছে বলে ধরে নিয়ে, দুর্বলতাকে কাজে লাগানোর প্রভাবের উপর ভিত্তি করে তীব্রতা মূল্যায়ন করা হয়।

Android সিকিউরিটি প্ল্যাটফর্ম সুরক্ষা এবং Google Play Protect সম্পর্কে বিশদ বিবরণের জন্য Android এবং Google Play Protect প্রশমন বিভাগটি পড়ুন, যা Android প্ল্যাটফর্মের নিরাপত্তা উন্নত করে৷

অ্যান্ড্রয়েড এবং গুগল পরিষেবা প্রশমন

এটি Android নিরাপত্তা প্ল্যাটফর্ম এবং পরিষেবা সুরক্ষা যেমন Google Play Protect দ্বারা প্রদত্ত প্রশমনের একটি সারাংশ। এই ক্ষমতাগুলি Android-এ নিরাপত্তার দুর্বলতাগুলি সফলভাবে কাজে লাগানোর সম্ভাবনা কমায়৷

  • অ্যান্ড্রয়েড প্ল্যাটফর্মের নতুন সংস্করণে বর্ধিতকরণের মাধ্যমে অ্যান্ড্রয়েডে অনেক সমস্যার জন্য শোষণকে আরও কঠিন করা হয়েছে। আমরা সকল ব্যবহারকারীকে যেখানে সম্ভব Android এর সর্বশেষ সংস্করণে আপডেট করতে উৎসাহিত করি।
  • Android নিরাপত্তা দল সক্রিয়ভাবে Google Play Protect- এর মাধ্যমে অপব্যবহারের জন্য নজরদারি করে এবং ব্যবহারকারীদের সম্ভাব্য ক্ষতিকারক অ্যাপ্লিকেশন সম্পর্কে সতর্ক করে। Google Play Protect ডিফল্টরূপে Google মোবাইল পরিষেবাগুলির সাথে ডিভাইসগুলিতে সক্রিয় থাকে এবং বিশেষত সেই সমস্ত ব্যবহারকারীদের জন্য গুরুত্বপূর্ণ যারা Google Play এর বাইরে থেকে অ্যাপগুলি ইনস্টল করেন৷

2021-10-01 নিরাপত্তা প্যাচ স্তরের দুর্বলতার বিবরণ

নীচের বিভাগে, আমরা 2021-10-01 প্যাচ স্তরে প্রযোজ্য প্রতিটি নিরাপত্তা দুর্বলতার জন্য বিশদ প্রদান করি। দুর্বলতাগুলিকে তারা প্রভাবিত করে এমন উপাদানের অধীনে গোষ্ঠীভুক্ত করা হয়। সমস্যাগুলি নীচের সারণীতে বর্ণনা করা হয়েছে এবং এতে CVE আইডি, সংশ্লিষ্ট রেফারেন্স, দুর্বলতার ধরন , তীব্রতা এবং আপডেট করা AOSP সংস্করণ (যেখানে প্রযোজ্য) অন্তর্ভুক্ত রয়েছে। উপলব্ধ হলে, আমরা AOSP পরিবর্তনের তালিকার মতো বাগ আইডিতে সমস্যাটির সমাধানকারী সর্বজনীন পরিবর্তনকে লিঙ্ক করি। যখন একাধিক পরিবর্তন একটি একক বাগের সাথে সম্পর্কিত হয়, তখন বাগ আইডি অনুসরণকারী সংখ্যার সাথে অতিরিক্ত রেফারেন্স লিঙ্ক করা হয়। Android 10 এবং তার পরের ডিভাইসগুলি নিরাপত্তা আপডেটের পাশাপাশি Google Play সিস্টেম আপডেট পেতে পারে।

অ্যান্ড্রয়েড রানটাইম

এই বিভাগের দুর্বলতা অতিরিক্ত অনুমতিগুলিতে অ্যাক্সেস পাওয়ার জন্য স্বেচ্ছাচারী কোড চালানোর জন্য ডিভাইসে শারীরিক অ্যাক্সেস সহ স্থানীয় আক্রমণকারীকে সক্ষম করতে পারে।
সিভিই তথ্যসূত্র টাইপ নির্দয়তা AOSP সংস্করণ আপডেট করা হয়েছে
CVE-2021-0703 এ-184569329 ইওপি উচ্চ 11

ফ্রেমওয়ার্ক

এই বিভাগে সবচেয়ে গুরুতর দুর্বলতা একটি স্থানীয় দূষিত অ্যাপ্লিকেশনকে একটি বিশেষ সুবিধাপ্রাপ্ত প্রক্রিয়ার প্রেক্ষাপটে নির্বিচারে কোড কার্যকর করতে সক্ষম করতে পারে।

সিভিই তথ্যসূত্র টাইপ নির্দয়তা AOSP সংস্করণ আপডেট করা হয়েছে
CVE-2021-0652 এ-185178568 ইওপি উচ্চ 8.1, 9, 10, 11
CVE-2021-0705 এ-185388103 ইওপি উচ্চ 10, 11
CVE-2021-0708 এ-183262161 ইওপি উচ্চ 8.1, 9, 10, 11
CVE-2020-15358 এ-192605364 আইডি উচ্চ 11
CVE-2021-0702 এ-193932765 আইডি উচ্চ 11
CVE-2021-0651 এ-67013844 DoS উচ্চ 9, 10, 11

মিডিয়া ফ্রেমওয়ার্ক

এই বিভাগের দুর্বলতা একটি স্থানীয় দূষিত অ্যাপ্লিকেশনকে একটি বিশেষ সুবিধাপ্রাপ্ত প্রক্রিয়ার প্রেক্ষাপটে নির্বিচারে কোড চালানোর জন্য সক্ষম করতে পারে।
সিভিই তথ্যসূত্র টাইপ নির্দয়তা AOSP সংস্করণ আপডেট করা হয়েছে
CVE-2021-0483 A-153358911 [ 2 ] ইওপি উচ্চ 10, 11

গুগল প্লে সিস্টেম আপডেট

এই মাসে গুগল প্লে সিস্টেম আপডেটে (প্রজেক্ট মেইনলাইন) কোনো নিরাপত্তা সমস্যা সমাধান করা হয়নি।

2021-10-05 নিরাপত্তা প্যাচ স্তরের দুর্বলতার বিবরণ

নীচের বিভাগে, আমরা 2021-10-05 প্যাচ স্তরে প্রযোজ্য প্রতিটি নিরাপত্তা দুর্বলতার জন্য বিশদ প্রদান করি। দুর্বলতাগুলিকে তারা প্রভাবিত করে এমন উপাদানের অধীনে গোষ্ঠীভুক্ত করা হয়। সমস্যাগুলি নীচের সারণীতে বর্ণনা করা হয়েছে এবং এতে CVE আইডি, সংশ্লিষ্ট রেফারেন্স, দুর্বলতার ধরন , তীব্রতা এবং আপডেট করা AOSP সংস্করণ (যেখানে প্রযোজ্য) অন্তর্ভুক্ত রয়েছে। উপলব্ধ হলে, আমরা AOSP পরিবর্তনের তালিকার মতো বাগ আইডিতে সমস্যাটির সমাধানকারী সর্বজনীন পরিবর্তনকে লিঙ্ক করি। যখন একাধিক পরিবর্তন একটি একক বাগের সাথে সম্পর্কিত হয়, তখন বাগ আইডি অনুসরণকারী সংখ্যার সাথে অতিরিক্ত রেফারেন্স লিঙ্ক করা হয়।

পদ্ধতি

এই বিভাগে দুর্বলতা একটি বিশেষভাবে তৈরি করা ট্রান্সমিশন ব্যবহার করে একটি প্রিভিলেজড প্রক্রিয়ার প্রেক্ষাপটে নির্বিচারে কোড চালানোর জন্য একটি দূরবর্তী আক্রমণকারীকে সক্ষম করতে পারে।
সিভিই তথ্যসূত্র টাইপ নির্দয়তা AOSP সংস্করণ আপডেট করা হয়েছে
CVE-2021-0870 এ-192472262 আরসিই সমালোচনামূলক 8.1, 9, 10, 11

কার্নেল উপাদান

এই বিভাগে সবচেয়ে গুরুতর দুর্বলতা স্থানীয় আক্রমণকারীকে একটি সুবিধাপ্রাপ্ত প্রক্রিয়ার প্রেক্ষাপটে নির্বিচারে কোড কার্যকর করতে সক্ষম করতে পারে।
সিভিই তথ্যসূত্র টাইপ নির্দয়তা উপাদান
CVE-2020-29660 এ-175451844
আপস্ট্রিম কার্নেল
ইওপি উচ্চ টিটিওয়াই
CVE-2020-10768 এ-169505929
আপস্ট্রিম কার্নেল
আইডি উচ্চ i86 Specter v2 সুরক্ষা
CVE-2021-29647 এ-184622099
আপস্ট্রিম কার্নেল
আইডি উচ্চ কোয়ালকম আইপিসি রাউটার সমর্থন

টেলিযোগাযোগ

এই বিভাগে দুর্বলতা কোন অতিরিক্ত মৃত্যুদন্ড বিশেষাধিকার প্রয়োজন ছাড়া দূরবর্তী তথ্য প্রকাশ হতে পারে.
সিভিই তথ্যসূত্র টাইপ নির্দয়তা উপাদান
CVE-2021-27666 A-180401789 * আইডি উচ্চ মডেম

কোয়ালকম উপাদান

এই দুর্বলতাগুলি Qualcomm উপাদানগুলিকে প্রভাবিত করে এবং উপযুক্ত Qualcomm নিরাপত্তা বুলেটিনে বা নিরাপত্তা সতর্কতায় আরও বিস্তারিতভাবে বর্ণনা করা হয়েছে। এই সমস্যাগুলির তীব্রতা মূল্যায়ন সরাসরি Qualcomm দ্বারা সরবরাহ করা হয়৷

সিভিই তথ্যসূত্র নির্দয়তা উপাদান
CVE-2020-11264
এ-175608649
QC-CR#2860206 [ 2 ]
সমালোচনামূলক WLAN
CVE-2020-11301
এ-179929247
QC-CR#2860198 *
QC-CR#2867022 [ 2 ] [ 3 ]
সমালোচনামূলক WLAN
CVE-2020-24587
এ-175626671
QC-CR#2860131
QC-CR#2868012 *
QC-CR#2875946 [ 2 ]
QC-CR#2875950
QC-CR#2874366
উচ্চ WLAN
CVE-2020-24588
এ-175626624
QC-CR#2866467 *
QC-CR#2867578 *
QC-CR#2867994
QC-CR#2868616 *
QC-CR#2877094 *
QC-CR#2879013 *
QC-CR#2883162 *
QC-CR#2886422 *
QC-CR#2888466 *
QC-CR#2890623 *
QC-CR#2896070 *
QC-CR#2896369 *
QC-CR#2861800 [ 2 ] [ 3 ] [ 4 ] [ 5 ]
QC-CR#2943860 *
উচ্চ WLAN
CVE-2020-26139
এ-177911151
QC-CR#2860248
QC-CR#2868054
QC-CR#2888227
QC-CR#2888467
QC-CR#2942096
QC-CR#2943789 [ 2 ] [ 3 ] [ 4 ] [ 5 ]
QC-CR#2867013 *
উচ্চ WLAN
CVE-2020-26141
এ-177911676
QC-CR#2869483
উচ্চ WLAN
CVE-2020-26145
এ-177910901
QC-CR#2860245
QC-CR#2868035 *
QC-CR#2893212
উচ্চ WLAN
CVE-2020-26146
এ-175626808
QC-CR#2860242
QC-CR#2874369
উচ্চ WLAN
CVE-2021-1977
এ-193070701
QC-CR#2859024 [ 2 ]
উচ্চ WLAN
CVE-2021-1980
এ-190404330
QC-CR#2873394
উচ্চ WLAN
CVE-2021-30305
এ-193070437
QC-CR#2913910
উচ্চ প্রদর্শন
CVE-2021-30306
এ-193071117
QC-CR#2915692
উচ্চ শ্রুতি
CVE-2021-30312
এ-193070595
QC-CR#2948107 [ 2 ]
উচ্চ WLAN

কোয়ালকম ক্লোজড সোর্স উপাদান

এই দুর্বলতাগুলি Qualcomm ক্লোজড-সোর্স উপাদানগুলিকে প্রভাবিত করে এবং উপযুক্ত Qualcomm নিরাপত্তা বুলেটিনে বা নিরাপত্তা সতর্কতায় আরও বিস্তারিতভাবে বর্ণনা করা হয়েছে। এই সমস্যাগুলির তীব্রতা মূল্যায়ন সরাসরি Qualcomm দ্বারা সরবরাহ করা হয়৷

সিভিই তথ্যসূত্র নির্দয়তা উপাদান
CVE-2020-11303
এ-193070323 * উচ্চ ক্লোজড সোর্স কম্পোনেন্ট
CVE-2020-26140
A-177911345 * উচ্চ ক্লোজড সোর্স কম্পোনেন্ট
CVE-2020-26147
A-177910719 * উচ্চ ক্লোজড সোর্স কম্পোনেন্ট
CVE-2021-1913
A-184561641 * উচ্চ ক্লোজড সোর্স কম্পোনেন্ট
CVE-2021-1917
A-184561580 * উচ্চ ক্লোজড সোর্স কম্পোনেন্ট
CVE-2021-1932
A-184561562 * উচ্চ ক্লোজড সোর্স কম্পোনেন্ট
CVE-2021-1936
A-184561359 * উচ্চ ক্লোজড সোর্স কম্পোনেন্ট
CVE-2021-1949
A-184561794 * উচ্চ ক্লোজড সোর্স কম্পোনেন্ট
CVE-2021-1959
A-184561776 * উচ্চ ক্লোজড সোর্স কম্পোনেন্ট
CVE-2021-1983
এ-190402581 * উচ্চ ক্লোজড সোর্স কম্পোনেন্ট
CVE-2021-1984
A-190403732 * উচ্চ ক্লোজড সোর্স কম্পোনেন্ট
CVE-2021-1985
A-190404406 * উচ্চ ক্লোজড সোর্স কম্পোনেন্ট
CVE-2021-30256
এ-190404960 * উচ্চ ক্লোজড সোর্স কম্পোনেন্ট
CVE-2021-30257
এ-190403214 * উচ্চ ক্লোজড সোর্স কম্পোনেন্ট
CVE-2021-30258
A-190404449 * উচ্চ ক্লোজড সোর্স কম্পোনেন্ট
CVE-2021-30288
A-193069567 * উচ্চ ক্লোজড সোর্স কম্পোনেন্ট
CVE-2021-30291
A-190404407 * উচ্চ ক্লোজড সোর্স কম্পোনেন্ট
CVE-2021-30292
এ-190404329 * উচ্চ ক্লোজড সোর্স কম্পোনেন্ট
CVE-2021-30297
A-190403733 * উচ্চ ক্লোজড সোর্স কম্পোনেন্ট
CVE-2021-30302
এ-193070343 * উচ্চ ক্লোজড সোর্স কম্পোনেন্ট
CVE-2021-30310
এ-193070558 * উচ্চ ক্লোজড সোর্স কম্পোনেন্ট

সাধারণ প্রশ্ন এবং উত্তর

এই বিভাগটি সাধারণ প্রশ্নের উত্তর দেয় যা এই বুলেটিন পড়ার পরে হতে পারে।

1. এই সমস্যাগুলি সমাধান করার জন্য আমার ডিভাইস আপডেট করা হয়েছে কিনা তা আমি কীভাবে নির্ধারণ করব?

কিভাবে একটি ডিভাইসের নিরাপত্তা প্যাচ স্তর চেক করতে হয় তা জানতে, আপনার Android সংস্করণ দেখুন এবং আপডেট করুন

  • 2021-10-01-এর নিরাপত্তা প্যাচ স্তরগুলি বা তার পরে 2021-10-01 নিরাপত্তা প্যাচ স্তরের সাথে সম্পর্কিত সমস্ত সমস্যার সমাধান করে৷
  • 2021-10-05 এর নিরাপত্তা প্যাচ স্তর বা তার পরে 2021-10-05 নিরাপত্তা প্যাচ স্তর এবং পূর্ববর্তী সমস্ত প্যাচ স্তরের সাথে সম্পর্কিত সমস্ত সমস্যার সমাধান করে।

এই আপডেটগুলি অন্তর্ভুক্ত করে এমন ডিভাইস নির্মাতাদের প্যাচ স্ট্রিং স্তর সেট করা উচিত:

  • [ro.build.version.security_patch]:[2021-10-01]
  • [ro.build.version.security_patch]:[2021-10-05]

Android 10 বা তার পরবর্তী কিছু ডিভাইসের জন্য, Google Play সিস্টেম আপডেটে একটি তারিখের স্ট্রিং থাকবে যা 2021-10-01 নিরাপত্তা প্যাচ স্তরের সাথে মেলে। নিরাপত্তা আপডেট কিভাবে ইনস্টল করতে হয় সে সম্পর্কে আরো বিস্তারিত জানার জন্য অনুগ্রহ করে এই নিবন্ধটি দেখুন।

2. কেন এই বুলেটিন দুটি নিরাপত্তা প্যাচ স্তর আছে?

এই বুলেটিনে দুটি নিরাপত্তা প্যাচ স্তর রয়েছে যাতে Android অংশীদারদের দুর্বলতাগুলির একটি উপসেটকে আরও দ্রুত ঠিক করার নমনীয়তা থাকে যা সমস্ত Android ডিভাইসে একই রকম। Android অংশীদারদের এই বুলেটিনে সমস্ত সমস্যা সমাধান করতে এবং সর্বশেষ নিরাপত্তা প্যাচ স্তর ব্যবহার করতে উত্সাহিত করা হয়৷

  • যে ডিভাইসগুলি 2021-10-01 সুরক্ষা প্যাচ স্তর ব্যবহার করে সেগুলিতে অবশ্যই সেই সুরক্ষা প্যাচ স্তরের সাথে সম্পর্কিত সমস্ত সমস্যা এবং সেইসাথে পূর্ববর্তী নিরাপত্তা বুলেটিনে রিপোর্ট করা সমস্ত সমস্যার সমাধান অন্তর্ভুক্ত করতে হবে।
  • যে ডিভাইসগুলি 2021-10-05-এর নিরাপত্তা প্যাচ স্তর ব্যবহার করে বা তার থেকে নতুন সেগুলিকে অবশ্যই এই (এবং পূর্ববর্তী) নিরাপত্তা বুলেটিনে সমস্ত প্রযোজ্য প্যাচ অন্তর্ভুক্ত করতে হবে।

অংশীদারদের একটি একক আপডেটে তারা যে সমস্ত সমস্যার সমাধান করছে সেগুলিকে বান্ডিল করতে উত্সাহিত করা হয়৷

3. টাইপ কলামের এন্ট্রিগুলির অর্থ কী?

দুর্বলতার বিবরণ টেবিলের টাইপ কলামের এন্ট্রি নিরাপত্তা দুর্বলতার শ্রেণীবিভাগ উল্লেখ করে।

সংক্ষিপ্ত রূপ সংজ্ঞা
আরসিই রিমোট কোড এক্সিকিউশন
ইওপি বিশেষাধিকারের উচ্চতা
আইডি তথ্য প্রকাশ
DoS সেবা দিতে অস্বীকার করা
N/A শ্রেণীবিভাগ উপলব্ধ নয়

4. রেফারেন্স কলামের এন্ট্রিগুলির অর্থ কী?

দুর্বলতার বিবরণ সারণীর রেফারেন্স কলামের অধীনে এন্ট্রিগুলিতে রেফারেন্স মানটি যে সংস্থার সাথে সম্পর্কিত তা চিহ্নিত করার জন্য একটি উপসর্গ থাকতে পারে।

উপসর্গ রেফারেন্স
ক- অ্যান্ড্রয়েড বাগ আইডি
QC- কোয়ালকম রেফারেন্স নম্বর
এম- মিডিয়াটেক রেফারেন্স নম্বর
এন- NVIDIA রেফারেন্স নম্বর
খ- ব্রডকম রেফারেন্স নম্বর
উ- UNISOC রেফারেন্স নম্বর

5. রেফারেন্স কলামে অ্যান্ড্রয়েড বাগ আইডির পাশে একটি * বলতে কী বোঝায়?

যে সমস্যাগুলি সর্বজনীনভাবে উপলব্ধ নয় সেগুলির সংশ্লিষ্ট রেফারেন্স আইডির পাশে একটি * থাকে৷ এই সমস্যার জন্য আপডেটটি সাধারণত Google বিকাশকারী সাইট থেকে উপলব্ধ Pixel ডিভাইসগুলির জন্য সর্বশেষ বাইনারি ড্রাইভারগুলিতে থাকে৷

6. কেন এই বুলেটিন এবং ডিভাইস/পার্টনার সিকিউরিটি বুলেটিন, যেমন পিক্সেল বুলেটিন এর মধ্যে নিরাপত্তা দুর্বলতা বিভক্ত?

এই নিরাপত্তা বুলেটিনে নথিভুক্ত নিরাপত্তা দুর্বলতাগুলিকে Android ডিভাইসে সর্বশেষ নিরাপত্তা প্যাচ স্তর ঘোষণা করতে হবে। একটি নিরাপত্তা প্যাচ স্তর ঘোষণা করার জন্য ডিভাইস / অংশীদার নিরাপত্তা বুলেটিনগুলিতে নথিভুক্ত অতিরিক্ত নিরাপত্তা দুর্বলতাগুলির প্রয়োজন নেই৷ অ্যান্ড্রয়েড ডিভাইস এবং চিপসেট নির্মাতারাও তাদের পণ্যগুলির জন্য নির্দিষ্ট নিরাপত্তা দুর্বলতার বিবরণ প্রকাশ করতে পারে, যেমন Google , Huawei , LGE , Motorola , Nokia , বা Samsung

সংস্করণ

সংস্করণ তারিখ মন্তব্য
1.0 4 অক্টোবর, 2021 বুলেটিন প্রকাশিত হয়েছে
1.1 6 অক্টোবর, 2021 বুলেটিন সংশোধিত
1.2 11 অক্টোবর, 2021 সংশোধিত CVE টেবিল
1.3 15 নভেম্বর, 2021 সংশোধিত CVE টেবিল
1.4 নভেম্বর 29, 2021 সংশোধিত CVE টেবিল